Index: tests/regression/Domain/RepeatBox/pre/ec.potentials
===================================================================
--- tests/regression/Domain/RepeatBox/pre/ec.potentials	(revision 9d613feab4e07d3a202706642be753fe3532e1b3)
+++ tests/regression/Domain/RepeatBox/pre/ec.potentials	(revision 9d613feab4e07d3a202706642be753fe3532e1b3)
@@ -0,0 +1,89 @@
+particles	{
+	particle:	particle_type=O,	element_name=O,	sigma=2.96,	epsilon=0.21,	sigma14=2.96,	epsilon14=0.21,	mass=15.9994,	free=3,	charge=-0.6452;
+	particle:	particle_type=OS,	element_name=O,	sigma=3,	epsilon=0.17,	sigma14=3,	epsilon14=0.17,	mass=15.9994,	free=3,	charge=-0.4684;
+	particle:	particle_type=C,	element_name=C,	sigma=3.75,	epsilon=0.105,	sigma14=3.75,	epsilon14=0.105,	mass=12.0107,	free=3,	charge=1.0996;
+	particle:	particle_type=CT,	element_name=C,	sigma=3.5,	epsilon=0.066,	sigma14=3.5,	epsilon14=0.066,	mass=12.0107,	free=3,	charge=0.033;
+	particle:	particle_type=H1,	element_name=H,	sigma=2.5,	epsilon=0.03,	sigma14=2.5,	epsilon14=0.03,	mass=1.00794,	free=3,	charge=0.1041;
+	particle:	particle_type=Li,	element_name=Li,	sigma=1.46,	epsilon=0.191,	sigma14=1.46,	epsilon14=0.191,	mass=6.941,	free=3,	charge=1;
+	particle:	particle_type=B,	element_name=B,	sigma=3.581,	epsilon=0.0949,	sigma14=3.581,	epsilon14=0.0949,	mass=10.811,	free=3,	charge=0.9756;
+	particle:	particle_type=F,	element_name=F,	sigma=3,	epsilon=0.068,	sigma14=3,	epsilon14=0.068,	mass=18.9984,	free=3,	charge=-0.4939;
+	};
+bonds	{
+	bond:	particle_type1=C,	particle_type2=O,	bond_type=harmonic,	k_b=570,	r_0=1.229,	k=0,	e_0=0;
+	bond:	particle_type1=C,	particle_type2=OS,	bond_type=harmonic,	k_b=320,	r_0=1.41,	k=0,	e_0=0;
+	bond:	particle_type1=OS,	particle_type2=CT,	bond_type=harmonic,	k_b=320,	r_0=1.41,	k=0,	e_0=0;
+	bond:	particle_type1=CT,	particle_type2=H1,	bond_type=harmonic,	k_b=340,	r_0=1.09,	k=0,	e_0=0;
+	bond:	particle_type1=CT,	particle_type2=CT,	bond_type=harmonic,	k_b=310,	r_0=1.526,	k=0,	e_0=0;
+	bond:	particle_type1=B,	particle_type2=F,	bond_type=harmonic,	k_b=289.72,	r_0=1.39,	k=0,	e_0=0;
+	};
+angles	{
+	angle:	particle_type1=O,	particle_type2=C,	particle_type3=OS,	angle_type=harmonic,	k_th=80,	theta_0=126,	k_1=39.369026,	k_2=21.653705,	k=0,	cos_theta_0=0,	k_ub=16.052141,	S_0=2.561;
+	angle:	particle_type1=CT,	particle_type2=OS,	particle_type3=C,	angle_type=harmonic,	k_th=60,	theta_0=109.5,	k_1=39.369026,	k_2=21.653705,	k=0,	cos_theta_0=0,	k_ub=16.052141,	S_0=2.561;
+	angle:	particle_type1=CT,	particle_type2=CT,	particle_type3=H1,	angle_type=harmonic,	k_th=50,	theta_0=109.5,	k_1=39.369026,	k_2=21.653705,	k=0,	cos_theta_0=0,	k_ub=16.052141,	S_0=2.561;
+	angle:	particle_type1=H1,	particle_type2=CT,	particle_type3=OS,	angle_type=harmonic,	k_th=50,	theta_0=109.5,	k_1=39.369026,	k_2=21.653705,	k=0,	cos_theta_0=0,	k_ub=16.052141,	S_0=2.561;
+	angle:	particle_type1=CT,	particle_type2=CT,	particle_type3=OS,	angle_type=harmonic,	k_th=50,	theta_0=109.5,	k_1=39.369026,	k_2=21.653705,	k=0,	cos_theta_0=0,	k_ub=16.052141,	S_0=2.561;
+	angle:	particle_type1=OS,	particle_type2=C,	particle_type3=OS,	angle_type=harmonic,	k_th=80,	theta_0=126,	k_1=39.369026,	k_2=21.653705,	k=0,	cos_theta_0=0,	k_ub=16.052141,	S_0=2.561;
+	angle:	particle_type1=H1,	particle_type2=CT,	particle_type3=H1,	angle_type=harmonic,	k_th=35,	theta_0=109.5,	k_1=39.369026,	k_2=21.653705,	k=0,	cos_theta_0=0,	k_ub=16.052141,	S_0=2.561;
+	angle:	particle_type1=F,	particle_type2=B,	particle_type3=F,	angle_type=harmonic,	k_th=50,	theta_0=109.5,	k_1=39.369026,	k_2=21.653705,	k=0,	cos_theta_0=0,	k_ub=16.052141,	S_0=2.561;
+	};
+torsions	{
+	torsion:	particle_type1=OS,	particle_type2=CT,	particle_type3=CT,	particle_type4=OS,	torsion_type=cosine,	k=0,	a0=0,	a1=0,	a2=0,	a3=0,	a4=0,	a5=0,	mult=1,	k_1=1.4,	n_1=3,	delta_1=0;
+	torsion:	particle_type1=OS,	particle_type2=CT,	particle_type3=CT,	particle_type4=H1,	torsion_type=cosine,	k=0,	a0=0,	a1=0,	a2=0,	a3=0,	a4=0,	a5=0,	mult=1,	k_1=1.4,	n_1=3,	delta_1=0;
+	torsion:	particle_type1=H1,	particle_type2=CT,	particle_type3=CT,	particle_type4=H1,	torsion_type=cosine,	k=0,	a0=0,	a1=0,	a2=0,	a3=0,	a4=0,	a5=0,	mult=1,	k_1=1.4,	n_1=3,	delta_1=0;
+	torsion:	particle_type1=CT,	particle_type2=CT,	particle_type3=OS,	particle_type4=C,	torsion_type=cosine,	k=0,	a0=0,	a1=0,	a2=0,	a3=0,	a4=0,	a5=0,	mult=1,	k_1=1.15,	n_1=3,	delta_1=0;
+	torsion:	particle_type1=H1,	particle_type2=CT,	particle_type3=OS,	particle_type4=C,	torsion_type=cosine,	k=0,	a0=0,	a1=0,	a2=0,	a3=0,	a4=0,	a5=0,	mult=1,	k_1=1.15,	n_1=3,	delta_1=0;
+	torsion:	particle_type1=O,	particle_type2=C,	particle_type3=OS,	particle_type4=CT,	torsion_type=cosine,	k=0,	a0=0,	a1=0,	a2=0,	a3=0,	a4=0,	a5=0,	mult=1,	k_1=10.5,	n_1=2,	delta_1=180;
+	};
+nonbonded_2body_potentials	{
+	lennardjones:	particle_type1=O,	particle_type2=O,	r_cut=12.5;
+	lennardjones:	particle_type1=O,	particle_type2=OS,	r_cut=12.5;
+	lennardjones:	particle_type1=O,	particle_type2=C,	r_cut=12.5;
+	lennardjones:	particle_type1=O,	particle_type2=CT,	r_cut=12.5;
+	lennardjones:	particle_type1=O,	particle_type2=H1,	r_cut=12.5;
+	lennardjones:	particle_type1=OS,	particle_type2=OS,	r_cut=12.5;
+	lennardjones:	particle_type1=OS,	particle_type2=C,	r_cut=12.5;
+	lennardjones:	particle_type1=OS,	particle_type2=CT,	r_cut=12.5;
+	lennardjones:	particle_type1=OS,	particle_type2=H1,	r_cut=12.5;
+	lennardjones:	particle_type1=C,	particle_type2=C,	r_cut=12.5;
+	lennardjones:	particle_type1=C,	particle_type2=CT,	r_cut=12.5;
+	lennardjones:	particle_type1=C,	particle_type2=H1,	r_cut=12.5;
+	lennardjones:	particle_type1=CT,	particle_type2=CT,	r_cut=12.5;
+	lennardjones:	particle_type1=CT,	particle_type2=H1,	r_cut=12.5;
+	lennardjones:	particle_type1=H1,	particle_type2=H1,	r_cut=12.5;
+	ljspline:	particle_type1=O,	particle_type2=O,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=O,	particle_type2=OS,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=O,	particle_type2=C,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=O,	particle_type2=CT,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=O,	particle_type2=H1,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=OS,	particle_type2=OS,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=OS,	particle_type2=C,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=OS,	particle_type2=CT,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=OS,	particle_type2=H1,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=C,	particle_type2=C,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=C,	particle_type2=CT,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=C,	particle_type2=H1,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=CT,	particle_type2=CT,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=CT,	particle_type2=H1,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=H1,	particle_type2=H1,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=O,	particle_type2=Li,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=O,	particle_type2=B,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=O,	particle_type2=F,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=OS,	particle_type2=Li,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=OS,	particle_type2=B,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=OS,	particle_type2=F,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=C,	particle_type2=Li,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=C,	particle_type2=B,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=C,	particle_type2=F,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=CT,	particle_type2=Li,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=CT,	particle_type2=B,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=CT,	particle_type2=F,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=H1,	particle_type2=Li,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=H1,	particle_type2=B,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=H1,	particle_type2=F,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=Li,	particle_type2=Li,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=Li,	particle_type2=B,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=Li,	particle_type2=F,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=B,	particle_type2=B,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=B,	particle_type2=F,	r_cut=12.5,	r_l=11;
+	ljspline:	particle_type1=F,	particle_type2=F,	r_cut=12.5,	r_l=11;
+	};
